using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Reflection;

namespace C1ReportViewer_Localization2010
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            Language = System.Windows.Markup.XmlLanguage.GetLanguage(System.Threading.Thread.CurrentThread.CurrentUICulture.TwoLetterISOLanguageName);
            InitializeComponent();
           
            string uri = String.Format("/{0};component/Employee Sales.pdf", new AssemblyName(Assembly.GetExecutingAssembly().FullName).Name); 
        
            reportViewer.LoadDocument(Application.GetResourceStream(new Uri(uri, UriKind.Relative)).Stream);

        }
    }
}
